Debian Bug report logs - #673322
ITP: openboard -- interactive digital whiteboard software for teaching

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Miriam Ruiz <little_miry@yahoo.es>

Date: Thu, 17 May 2012 20:45:01 UTC

Owned by: Miriam Ruiz <little_miry@yahoo.es>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#673322; Package wnpp. (Thu, 17 May 2012 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <little_miry@yahoo.es>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 17 May 2012 20:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <little_miry@yahoo.es>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: sankore -- interactive digital whiteboard software for teaching
Date: Thu, 17 May 2012 22:40:46 +0200
Package: wnpp
Severity: wishlist
Owner: Miriam Ruiz <little_miry@yahoo.es>

* Package name    : sankore
  Version         : 3.1
  Upstream Author : Open-Sankoré Developers team <dev@open-sankore.org>
* URL             : http://dev.open-sankore.org/
* License         : GPL-3+
  Programming Lang: C++
  Description     : interactive digital whiteboard software for teaching

 Open-Sankoré is a free and open-source interactive whiteboard (IWB)
 software compatible with any projector and pointing device. It is
 based on the Uniboard software originally developed at the University
 of Lausanne, Switzerland.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Fri, 18 May 2012 00:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georges.khaznadar@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Fri, 18 May 2012 00:06:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Georges Khaznadar <georges.khaznadar@free.fr>
To: Miriam Ruiz <little_miry@yahoo.es>, 673322@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>, dev@abuledu.org
Subject: Re: Bug#673322: ITP: sankore -- interactive digital whiteboard software for teaching
Date: Fri, 18 May 2012 00:03:40 +0000
[Message part 1 (text/plain, inline)]
Hello Miriam,

I am most interested by your intent to make sankore a Debian official
package.

I copy your message to dev@abuledu.org, since some people there have
already done some preliminary work, for example  delimiting the dfsg-free
subset of the upstream package.

Best regards,			Georges.

Miriam Ruiz a écrit :
> Package: wnpp
> Severity: wishlist
> Owner: Miriam Ruiz <little_miry@yahoo.es>
> 
> * Package name    : sankore
>   Version         : 3.1
>   Upstream Author : Open-Sankoré Developers team <dev@open-sankore.org>
> * URL             : http://dev.open-sankore.org/
> * License         : GPL-3+
>   Programming Lang: C++
>   Description     : interactive digital whiteboard software for teaching
> 
>  Open-Sankoré is a free and open-source interactive whiteboard (IWB)
>  software compatible with any projector and pointing device. It is
>  based on the Uniboard software originally developed at the University
>  of Lausanne, Switzerland.
> 
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20120517204046.12472.67714.reportbug@inanna
> 
> 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Fri, 18 May 2012 00:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georges Khaznadar <georges.khaznadar@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Fri, 18 May 2012 00:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Sun, 26 Aug 2012 09:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Colangelo <warp10@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Sun, 26 Aug 2012 09:18:03 GMT) Full text and rfc822 format available.

Message #20 received at 673322@bugs.debian.org (full text, mbox):

From: Andrea Colangelo <warp10@ubuntu.com>
To: Miriam Ruiz <little_miry@yahoo.es>
Cc: 673322@bugs.debian.org
Date: Sun, 26 Aug 2012 11:13:58 +0200
I am interested by this ITP as well. A few months have passed, how is
the work going so far?

-- 
Andrea Colangelo                     |   http://andreacolangelo.com
Ubuntu Developer  <www.ubuntu.com>   |   Debian Maintainer  <www.debian.org>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Thu, 15 Nov 2012 15:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <miriam@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Thu, 15 Nov 2012 15:42:08 GMT) Full text and rfc822 format available.

Message #25 received at 673322@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <miriam@debian.org>
To: 673322@bugs.debian.org
Subject: Update on Open-Sankoré packages
Date: Thu, 15 Nov 2012 16:38:24 +0100
I've temporarily put my latest packages at:
http://www.miriamruiz.es/debian/sankore/

Please, if someone tries them, leave a comment regarding what works
and what doesn't.

Greetings,
Miry



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Wed, 06 Mar 2013 11:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <miriam@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Wed, 06 Mar 2013 11:39:06 GMT) Full text and rfc822 format available.

Message #30 received at 673322@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <miriam@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 673322@bugs.debian.org
Cc: debian-edu-pkg-team@lists.alioth.debian.org
Subject: Re: Packaging Open Sankoré for Debian/Ubuntu
Date: Wed, 6 Mar 2013 12:34:44 +0100
Hi,

It seems that Open-Sankoré has been relicensed to GPL v3 [1]. I'll
still have to carefully go through the license, but it seems that the
SSL exception is in all of the headers. I'll try to create a newer
version of the package (older one I have them in [2], and even older
in [3]), and if it works okay for me and is stable enough I might
consider finally uploading it to Debian, aftyer re-checking licenses
again.

Greetings,
Miry

[1] https://github.com/Sankore/Sankore-3.1/commit/3d5330fb193ff74ff115466e92c9d91122f824a1
[2] http://www.miriamruiz.es/debian/sankore/
[3] http://aula.edu.es/pool/main/s/sankore/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Wed, 06 Mar 2013 15:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <miriam@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Wed, 06 Mar 2013 15:15:05 GMT) Full text and rfc822 format available.

Message #35 received at 673322@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <miriam@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 673322@bugs.debian.org
Cc: Cyril Pavillard <cyril@open-sankore.org>, debian-edu-pkg-team@lists.alioth.debian.org, info@open-sankore.org, Bertrand Magnin <bertrand@open-sankore.org>, Luca Capello <luca@pca.it>, Claudio Valerio <claudio@open-sankore.org>
Subject: Re: Packaging Open Sankoré for Debian/Ubuntu
Date: Wed, 6 Mar 2013 16:06:08 +0100
[Message part 1 (text/plain, inline)]
Hi,

I've been able to compule Open Sankoré for Debian applying the
attached set of patches. Just in case you wanted to know.

Greetings,
Miry
[sankore-patches-git20130131.tgz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Thu, 07 Mar 2013 03:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Thu, 07 Mar 2013 03:30:03 GMT) Full text and rfc822 format available.

Message #40 received at 673322@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Miriam Ruiz <miriam@debian.org>
Cc: 673322@bugs.debian.org, debian-edu-pkg-team@lists.alioth.debian.org
Subject: Re: Packaging Open Sankoré for Debian/Ubuntu
Date: Thu, 07 Mar 2013 04:25:57 +0100
[Message part 1 (text/plain, inline)]
Hi Miry.

On Mi 06 Mär 2013 12:34:44 CET Miriam Ruiz wrote:

> Hi,
>
> It seems that Open-Sankoré has been relicensed to GPL v3 [1]. I'll
> still have to carefully go through the license, but it seems that the
> SSL exception is in all of the headers. I'll try to create a newer
> version of the package (older one I have them in [2], and even older
> in [3]), and if it works okay for me and is stable enough I might
> consider finally uploading it to Debian, aftyer re-checking licenses
> again.
>
> Greetings,
> Miry

This is excellent news. If you need me anything to do, please ping me.

I'd be happy if you could commit your packaging work here:
http://anonscm.debian.org/gitweb/?p=debian-edu/sankore.git;a=summary

Greets,
Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Thu, 07 Mar 2013 07:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <miriam@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Thu, 07 Mar 2013 07:33:03 GMT) Full text and rfc822 format available.

Message #45 received at 673322@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <miriam@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 673322@bugs.debian.org, debian-edu-pkg-team@lists.alioth.debian.org
Subject: Re: Packaging Open Sankoré for Debian/Ubuntu
Date: Thu, 7 Mar 2013 08:29:30 +0100
Cool! Thanks!!

I'll commit it later from home, this afternoon :)

Greetings,
Miry


2013/3/7 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
> Hi Miry.
>
>
> On Mi 06 Mär 2013 12:34:44 CET Miriam Ruiz wrote:
>
>> Hi,
>>
>> It seems that Open-Sankoré has been relicensed to GPL v3 [1]. I'll
>> still have to carefully go through the license, but it seems that the
>> SSL exception is in all of the headers. I'll try to create a newer
>> version of the package (older one I have them in [2], and even older
>> in [3]), and if it works okay for me and is stable enough I might
>> consider finally uploading it to Debian, aftyer re-checking licenses
>> again.
>>
>> Greetings,
>> Miry
>
>
> This is excellent news. If you need me anything to do, please ping me.
>
> I'd be happy if you could commit your packaging work here:
> http://anonscm.debian.org/gitweb/?p=debian-edu/sankore.git;a=summary
>
>
> Greets,
> Mike
>
>
>
> --
>
> DAS-NETZWERKTEAM
> mike gabriel, rothenstein 5, 24214 neudorf-bornstein
> fon: +49 (1520) 1976 148
>
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
>
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Sat, 09 Mar 2013 18:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <miriam@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Sat, 09 Mar 2013 18:06:03 GMT) Full text and rfc822 format available.

Message #50 received at 673322@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <miriam@debian.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: debian-edu-pkg-team@lists.alioth.debian.org, 673322@bugs.debian.org
Subject: Re: Packaging Open Sankoré for Debian/Ubuntu
Date: Sat, 9 Mar 2013 19:02:17 +0100
2013/3/9 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
> Hi Miry,
>

Hi!!

>
> On Do 07 Mär 2013 20:18:06 CET Miriam Ruiz wrote:
>
>> I commited the changes I have in the debian/ directory [1]. Sorry, I
>> still don't know how to handle that pristine-tar stuff, can someone
>> tell me, or do it for me?
>
>
> If you have a recent version of git-buildpackage installed, the importing of
> orig.tar.<compressformat> is very easy.
>
>  $ cd <path/to/workingcopy/of>/sankore
>  $ debian/rules get-git-source
>  $ git-import-orig --pristine-tar --sign-tags
>                    ../sankore_2.00~git20130309.orig.tar.bz2
>
> I have just performed that step and committed the changes to [1].

Thanks!!!! :)

All is left is to review debian/copyright so that includes all the
copyrights, specially all those from third parties... sigh :)

If any of you test in your computers the packages in git, please tell
me if there are any issues. It should compile in squeeze too (I
haven't upgraded compat to 9 yet because of that, and I added the
patch needed for backwards compatibility with squeeze).

Greetings and lots of thanks,
Miry

> Greets,
> Mike
>
> [1] http://anonscm.debian.org/gitweb/?p=debian-edu/sankore.git



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Tue, 12 Mar 2013 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miriam Ruiz <miriam@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Tue, 12 Mar 2013 11:15:03 GMT) Full text and rfc822 format available.

Message #55 received at 673322@bugs.debian.org (full text, mbox):

From: Miriam Ruiz <miriam@debian.org>
To: Cyril Pavillard <cyril@open-sankore.org>, info@open-sankore.org, Bertrand Magnin <bertrand@open-sankore.org>, Claudio Valerio <claudio@open-sankore.org>
Cc: debian-edu-pkg-team@lists.alioth.debian.org, Luca Capello <luca@pca.it>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 673322@bugs.debian.org
Subject: Custom Qt repository for Open-Sankoré
Date: Tue, 12 Mar 2013 12:10:50 +0100
Hi,

I've noticed that you have a repository with a custom version of Qt
for Open-Sankoré [1], In what ways does this custom version diverges
from the standard version of Qt? Is it neccesary to use this version
of Qt for any reason, or linking the project against the standard Qt
library in Debian might be problematic in some way?

Thanks in advance,
Miry


[1] http://dev.open-sankore.org/xwiki/bin/view/Community/SourceRepository



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Tue, 12 Mar 2013 11:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Tue, 12 Mar 2013 11:27:03 GMT) Full text and rfc822 format available.

Message #60 received at 673322@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Miriam Ruiz <miriam@debian.org>
Cc: Cyril Pavillard <cyril@open-sankore.org>, info@open-sankore.org, Bertrand Magnin <bertrand@open-sankore.org>, Claudio Valerio <claudio@open-sankore.org>, debian-edu-pkg-team@lists.alioth.debian.org, Luca Capello <luca@pca.it>, 673322@bugs.debian.org
Subject: Re: Custom Qt repository for Open-Sankoré
Date: Tue, 12 Mar 2013 12:23:33 +0100
[Message part 1 (text/plain, inline)]
Hi all,

On Di 12 Mär 2013 12:10:50 CET Miriam Ruiz wrote:

> Hi,
>
> I've noticed that you have a repository with a custom version of Qt
> for Open-Sankoré [1], In what ways does this custom version diverges
> from the standard version of Qt? Is it neccesary to use this version
> of Qt for any reason, or linking the project against the standard Qt
> library in Debian might be problematic in some way?
>
> Thanks in advance,
> Miry
>
>
> [1] http://dev.open-sankore.org/xwiki/bin/view/Community/SourceRepository

Or is this just to have a Qt library at hand when building for win32  
or macosx (in case there is a Mac version)?

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Tue, 12 Mar 2013 11:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Claudio Valerio <claudio.valerio@oe-f.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Tue, 12 Mar 2013 11:51:05 GMT) Full text and rfc822 format available.

Message #65 received at 673322@bugs.debian.org (full text, mbox):

From: Claudio Valerio <claudio.valerio@oe-f.org>
To: Miriam Ruiz <miriam@debian.org>
Cc: Cyril Pavillard <cyril@open-sankore.org>, info@open-sankore.org, Bertrand Magnin <bertrand@open-sankore.org>, Claudio Valerio <claudio@open-sankore.org>, debian-edu-pkg-team@lists.alioth.debian.org, Luca Capello <luca@pca.it>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 673322@bugs.debian.org
Subject: Re: Custom Qt repository for Open-Sankoré
Date: Tue, 12 Mar 2013 12:47:00 +0100
[Message part 1 (text/plain, inline)]
Hi,

the custom version is based on the standard release of Qt4.7. On linux the
only change we made is fixed on the Qt4.8.0 version so we embed them only
on debian that doesn't provide those libraries.

For  mac and windows the usage of the custom libraries is recommended
because of some little changes on https protocols and gui refresh.

Nice one,
Claudio




On Tue, Mar 12, 2013 at 12:10 PM, Miriam Ruiz <miriam@debian.org> wrote:

> Hi,
>
> I've noticed that you have a repository with a custom version of Qt
> for Open-Sankoré [1], In what ways does this custom version diverges
> from the standard version of Qt? Is it neccesary to use this version
> of Qt for any reason, or linking the project against the standard Qt
> library in Debian might be problematic in some way?
>
> Thanks in advance,
> Miry
>
>
> [1] http://dev.open-sankore.org/xwiki/bin/view/Community/SourceRepository
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Sun, 05 May 2013 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Sun, 05 May 2013 21:51:05 GMT) Full text and rfc822 format available.

Message #70 received at 673322@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Claudio Valerio <claudio.valerio@oe-f.org>
Cc: Miriam Ruiz <miriam@debian.org>, 673322@bugs.debian.org, debian-edu-pkg-team@lists.alioth.debian.org, info@open-sankore.org, Bertrand Magnin <bertrand@open-sankore.org>, Cyril Pavillard <cyril@open-sankore.org>, Luca Capello <luca@pca.it>, Claudio Valerio <claudio@open-sankore.org>
Subject: License issues with fonts shipped with Open-Sankore
Date: Sun, 05 May 2013 23:46:36 +0200
[Message part 1 (text/plain, inline)]
Hi all,

today I have had a quick look at the fonts shipped with Sankore-3.1 in  
the folder

  Sankore-3.1/resources/customizations/fonts

Only 3 of them can be packaged/found in Debian. The other fonts cause  
issues with the Debian free software guidelines [1].

With this mail I want to raise awareness on those issues by raising  
some green, some yellow and a red flag.

Green Flags
-----------
ec_cour.ttf (Ecolier Court, Open Font License), already in Debian
ecl_cour.ttf (Ecolier Lignes Court, Open Font License), already in Debian

AndBasR.ttf (Andika Basic), I substitute that by the Andika font as  
found in Debian package fonts-sil-andika.


Yellow Flags
------------
For the below fonts I could not find a proper upstream (the makers of  
the fonts) on the internet. So, the license remains unclear. On  
download sites [2] I found: only use for non-commercial use (however,  
my French is not so good, so I may be mistaken here). This hurts  
DFSG-6, as in Debian there may only be software that can be used for  
any purpose.

AlphoneticGB.ttf
ALPHONET.TTF
Cursive standard.ttf
Cursive standard Bold.ttf
SCRIPTCA.TTF
SCRIPTCO.TTF
ScriptEcole2.ttf

The fonts below can be obtained from [3] (upstream), but they are  
licensed under the CC-by-NC-ND 2.0 [4]. This license is not compliant  
with the Debian free software guidelines (no commercial use -> DFSG-6,  
no derivatives -> DFSG-3).

ec_cp.ttf
ec_cp_pt.ttf
ec.ttf
ecl.ttf
eclcopt.ttf
ec_co_pt.ttf


Red Flag
--------
The font below is called Gino School Script. I could not find a  
license for it, but I found a site [5] where you can buy this font for  
99,--€. So I guess, you better remove that from Github, as it seems to  
be a completely non-free font.

GinSSB60.ttf


Consequences on Open-Sankore in Debian
--------------------------------------
The Debian package will for now be shipped without the named fonts. My  
(and probably also Miry's) questions are: can you substitute those  
fonts by fully free fonts? Where will those fonts be missing in  
Sankore and where will the user notice that?


light+love,
Mike


[1] http://www.debian.org/social_contract
[2] http://pointecole.free.fr/polices.html
[3] http://douteau.ecolier.perso.sfr.fr/page_ecolier.htm
[4] http://creativecommons.org/licenses/by-nc-nd/2.0/
[5]  
http://www.signumart.com/typo/famille/gino_school_script/be-57.html#preview

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Mon, 06 May 2013 23:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Pavillard <cyril@open-sankore.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Mon, 06 May 2013 23:54:05 GMT) Full text and rfc822 format available.

Message #75 received at 673322@bugs.debian.org (full text, mbox):

From: Cyril Pavillard <cyril@open-sankore.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Claudio Valerio <claudio.valerio@oe-f.org>, Miriam Ruiz <miriam@debian.org>, 673322@bugs.debian.org, debian-edu-pkg-team@lists.alioth.debian.org, info@open-sankore.org, Bertrand Magnin <bertrand@open-sankore.org>, Luca Capello <luca@pca.it>, Claudio Valerio <claudio@open-sankore.org>
Subject: Re: License issues with fonts shipped with Open-Sankore
Date: Mon, 6 May 2013 18:51:13 -0500
Hello Mike,

Thank you for this feedback.

We didn't do directly the clearing of licences regarding the fonts so if there are any specific questions, I can put you in touch with the person from the french government that took care of it. Although, it is confirmed that they have indeed chosen fonts that are not fully compliant even though they have obtained the authorisations to distribute them by the authors.

Best regards,

Cyril

On May 5, 2013, at 4:46 PM, Mike Gabriel <mike.gabriel@das-netzwerkteam.de> wrote:

> Hi all,
> 
> today I have had a quick look at the fonts shipped with Sankore-3.1 in the folder
> 
>  Sankore-3.1/resources/customizations/fonts
> 
> Only 3 of them can be packaged/found in Debian. The other fonts cause issues with the Debian free software guidelines [1].
> 
> With this mail I want to raise awareness on those issues by raising some green, some yellow and a red flag.
> 
> Green Flags
> -----------
> ec_cour.ttf (Ecolier Court, Open Font License), already in Debian
> ecl_cour.ttf (Ecolier Lignes Court, Open Font License), already in Debian
> 
> AndBasR.ttf (Andika Basic), I substitute that by the Andika font as found in Debian package fonts-sil-andika.
> 
> 
> Yellow Flags
> ------------
> For the below fonts I could not find a proper upstream (the makers of the fonts) on the internet. So, the license remains unclear. On download sites [2] I found: only use for non-commercial use (however, my French is not so good, so I may be mistaken here). This hurts DFSG-6, as in Debian there may only be software that can be used for any purpose.
> 
> AlphoneticGB.ttf
> ALPHONET.TTF
> Cursive standard.ttf
> Cursive standard Bold.ttf
> SCRIPTCA.TTF
> SCRIPTCO.TTF
> ScriptEcole2.ttf
> 
> The fonts below can be obtained from [3] (upstream), but they are licensed under the CC-by-NC-ND 2.0 [4]. This license is not compliant with the Debian free software guidelines (no commercial use -> DFSG-6, no derivatives -> DFSG-3).
> 
> ec_cp.ttf
> ec_cp_pt.ttf
> ec.ttf
> ecl.ttf
> eclcopt.ttf
> ec_co_pt.ttf
> 
> 
> Red Flag
> --------
> The font below is called Gino School Script. I could not find a license for it, but I found a site [5] where you can buy this font for 99,--€. So I guess, you better remove that from Github, as it seems to be a completely non-free font.
> 
> GinSSB60.ttf
> 
> 
> Consequences on Open-Sankore in Debian
> --------------------------------------
> The Debian package will for now be shipped without the named fonts. My (and probably also Miry's) questions are: can you substitute those fonts by fully free fonts? Where will those fonts be missing in Sankore and where will the user notice that?
> 
> 
> light+love,
> Mike
> 
> 
> [1] http://www.debian.org/social_contract
> [2] http://pointecole.free.fr/polices.html
> [3] http://douteau.ecolier.perso.sfr.fr/page_ecolier.htm
> [4] http://creativecommons.org/licenses/by-nc-nd/2.0/
> [5] http://www.signumart.com/typo/famille/gino_school_script/be-57.html#preview
> 
> -- 
> 
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> fon: +49 (1520) 1976 148
> 
> GnuPG Key ID 0x25771B31
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
> 
> freeBusy:
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Sun, 19 May 2013 19:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Sun, 19 May 2013 19:51:07 GMT) Full text and rfc822 format available.

Message #80 received at 673322@bugs.debian.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Cyril Pavillard <cyril@open-sankore.org>
Cc: 673322@bugs.debian.org, Miriam Ruiz <miriam@debian.org>, debian-edu-pkg-team@lists.alioth.debian.org, Bertrand Magnin <bertrand@open-sankore.org>, Claudio Valerio <claudio.valerio@oe-f.org>, info@open-sankore.org, Luca Capello <luca@pca.it>, Claudio Valerio <claudio@open-sankore.org>
Subject: Re: License issues with fonts shipped with Open-Sankore
Date: Sun, 19 May 2013 21:46:45 +0200
[Message part 1 (text/plain, inline)]
Hi Cyril,

On Di 07 Mai 2013 01:51:13 CEST Cyril Pavillard wrote:

> Hello Mike,
>
> Thank you for this feedback.
>
> We didn't do directly the clearing of licences regarding the fonts  
> so if there are any specific questions, I can put you in touch with  
> the person from the french government that took care of it.  
> Although, it is confirmed that they have indeed chosen fonts that  
> are not fully compliant even though they have obtained the  
> authorisations to distribute them by the authors.
>
> Best regards,
>
> Cyril

Sorry for the delay on my side. I had to see to some private issues.

Please yes, get me in contact with the person who had the task of  
clearing the licenses.

Greets+Thanks,
Mike (who really wants to see Sankoré in Debian jessie)

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>:
Bug#673322; Package wnpp. (Wed, 12 Feb 2014 20:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrea Colangelo <warp10@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Miriam Ruiz <little_miry@yahoo.es>. (Wed, 12 Feb 2014 20:03:05 GMT) Full text and rfc822 format available.

Message #85 received at 673322@bugs.debian.org (full text, mbox):

From: Andrea Colangelo <warp10@debian.org>
To: 673322@bugs.debian.org, control@bugs.debian.org
Subject: ITP: openboard -- interactive digital whiteboard software for teaching
Date: Wed, 12 Feb 2014 20:59:50 +0100
[Message part 1 (text/plain, inline)]
retitle 673322 ITP: openboard -- interactive digital whiteboard software for teaching
stop

One of the upstream of opensankore has forked the project[1], and is
committed to release a full dfsg-free version of it. Therefore, after
agreeing with Miriam and Mike that openboard is way more interesting to
us, I am retitling this bug as an ITP on openboard.

[1] http://oe-f.org/en/

-- 
Andrea Colangelo                      |   http://andreacolangelo.com
Debian Developer <warp10@debian.org>  |   Ubuntu Developer <warp10@ubuntu.com>
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: openboard -- interactive digital whiteboard software for teaching' from 'ITP: sankore -- interactive digital whiteboard software for teaching' Request was from Andrea Colangelo <warp10@debian.org> to control@bugs.debian.org. (Wed, 12 Feb 2014 20:03:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:27:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.